searchData={"items":[{"type":"module","title":"LocalCluster","doc":"Easy local cluster handling for Elixir.\n\nThis library is a utility library to offer easier testing of distributed\nclusters for Elixir. It offers very minimal shimming above several built\nin Erlang features to provide seamless node creations, especially useful\nwhen testing distributed applications.","ref":"LocalCluster.html"},{"type":"function","title":"LocalCluster.child_spec/1","doc":"Retrieves a child specification for a cluster.","ref":"LocalCluster.html#child_spec/1"},{"type":"macro","title":"LocalCluster.member/1","doc":"","ref":"LocalCluster.html#member/1"},{"type":"macro","title":"LocalCluster.member/2","doc":"","ref":"LocalCluster.html#member/2"},{"type":"function","title":"LocalCluster.members/1","doc":"Retrieves the members within a cluster.","ref":"LocalCluster.html#members/1"},{"type":"function","title":"LocalCluster.nodes/1","doc":"Retrieves the node names within a cluster.","ref":"LocalCluster.html#nodes/1"},{"type":"function","title":"LocalCluster.pids/1","doc":"Retrieves the process identifiers within a cluster.","ref":"LocalCluster.html#pids/1"},{"type":"function","title":"LocalCluster.start/0","doc":"Starts the current node as a distributed node.","ref":"LocalCluster.html#start/0"},{"type":"function","title":"LocalCluster.start_link/2","doc":"Starts a number of child nodes under a supervising process.\n\nThis will start the current runtime enviornment on a set of child nodes\nand return the process identifier of the parent process. All child nodes\nwill be linked to this parent process, and so will terminate once the\nparent process does.\n\nThere are several options to provide when customizing the child nodes:","ref":"LocalCluster.html#start_link/2"},{"type":"function","title":"Options - LocalCluster.start_link/2","doc":"* `:applications`\n\n    The `:applications` option allows the caller to provide an ordered list\n    of applications to be started on child nodes. This is useful when you\n    need to control startup sequences, or omit applications completely. If\n    this option is not provided, all currently loaded applications on the\n    local node will be used as a default.\n\n  * `:environment`\n\n    The `:environment` option allows the caller to override application\n    environment variables loaded on a member (via `Application.get_env/3`).\n\n  * `:files`\n\n    The `:files` option can be used to load additional files onto remote\n    nodes, which are then compiled on the remote node. This is necessary\n    if you wish to spawn tasks from inside test code, as test code would\n    not typically be loaded automatically.\n\n  * `:name`\n\n    The `:name` option allows the caller to register the name of a local\n    cluster should they wish to, rather than calling by pid.\n\n  * `:prefix`\n\n    The `:prefix` option allows the caller to choose the prefix name for\n    the indexed nodes in a cluster. This is randomly generated if not\n    provided.","ref":"LocalCluster.html#start_link/2-options"},{"type":"function","title":"LocalCluster.stop/0","doc":"Stops the current distributed node and turns it back into a local node.","ref":"LocalCluster.html#stop/0"},{"type":"function","title":"LocalCluster.stop/1","doc":"Stops a previously started cluster.","ref":"LocalCluster.html#stop/1"},{"type":"function","title":"LocalCluster.stop/2","doc":"Stops a member within a cluster.\n\nThis will terminate the member node without terminating the rest\nof the cluster by unlinking it beforehand.","ref":"LocalCluster.html#stop/2"},{"type":"function","title":"LocalCluster.stop_member/1","doc":"","ref":"LocalCluster.html#stop_member/1"},{"type":"type","title":"LocalCluster.member/0","doc":"","ref":"LocalCluster.html#t:member/0"},{"type":"type","title":"LocalCluster.t/0","doc":"","ref":"LocalCluster.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}